CHAGE(1)

NOM
chage - Modifier les informations de validité d'un mot de passe

SYNOPSIS

chage [options] LOGIN

DESCRIPTION

La commande chage modifie le nombre de jours entre les changements de mot de passe et la date du dernier changement. Ces informations sont utilisées par le système pour déterminer si un utilisateur doit changer son mot de passe.

OPTIONS

Les options disponibles pour la commande chage sont :

-d, --lastday DERNIER_JOUR
    Set the number of days since January 1st, 1970 when the password was last changed. The date may also be expressed in the format YYYY-MM-DD (or the format more commonly used in your area). If the LAST_DAY is set to 0 the user is forced to change his password on the next log on.

-E, --expiredate DATE_FIN_VALIDITÉ
    Configurer la date, ou le nombre de jours à compter du 1er janvier 1970, à partir de laquelle le compte de l'utilisateur ne sera plus accessible. La date peut aussi être exprimée dans le format AAAA-MM-JJ (ou le format plus communément utilisé dans votre région). Un utilisateur dont le compte est bloqué doit contacter l'administrateur système pour pouvoir utiliser à nouveau le système.

    Une valeur de -1 pour DATE_FIN_VALIDITÉ aura pour effet de supprimer la date de fin de validité.

-h, --help
    Afficher un message d'aide et quitter.

-I, --inactive DURÉE_INACTIVITÉ
    Configurer le nombre de jours d'inactivité, après qu'un mot de passe ait dépassé la date de fin de validité, avant que le compte ne soit bloqué. La valeur DURÉE_INACTIVITÉ est le nombre de jours d'inactivité. Un utilisateur dont le compte est bloqué doit contacter l'administrateur système avant de pouvoir utiliser de nouveau le système.

    Une valeur de -1 pour DURÉE_INACTIVITÉ supprime la durée d'inactivité pour un compte.

-l, --list
    Afficher les informations sur l'âge des comptes.

-m, --mindays JOURS_MIN
    Définir le nombre minimum de jours entre chaque changement de mot de passe à MIN_DAYS. Une valeur de zéro pour ce champ indique que l'utilisateur peut changer son mot de passe quand il le souhaite.

-M, --maxdays JOURS_MAX
    Configurer le nombre maximum de jours pendant lesquels un mot de passe est valable. Quand JOURS_MAX plus DERNIER_JOUR est inférieur à la date actuelle, l'utilisateur est obligé de changer son mot de passe avant de pouvoir utiliser son compte. Cet événement peut être déclenché plus tôt grâce à l'option -W qui prévient l'utilisateur à l'avance par un message d'alerte.

    Une valeur de -1 pour JOURS_MAX supprime la vérification de validité.

-R, --root RÉP_CHROOT
    Appliquer les changements dans le répertoire RÉP_CHROOT et utiliser les fichiers de configuration du répertoire RÉP_CHROOT.

-W, --warndays DURÉE_AVERTISSEMENT
    Configurer le nombre de jours d'avertissement avant que le changement de mot de passe ne soit obligatoire. La valeur DURÉE_AVERTISSEMENT est le nombre de jours précédant la fin de validité pendant lesquels un utilisateur sera prévenu que son mot de passe est sur le point d'arriver en fin de validité.

Si aucune de ces options n'est donnée, chage utilise un mode interactif, demandant confirmation à l'utilisateur pour les valeurs de tous les champs. Entrez la nouvelle valeur pour modifier la valeur du champ, ou laissez la ligne vide pour conserver la valeur actuelle. La valeur actuelle est affichée entre crochets.

NOTE

Le programme chage nécessite l'utilisation d'un fichier de mots de passe cachés (« shadow password file »).

La commande chage est réservée à l'utilisateur root, sauf pour l'option -l, qui peut être utilisée par un utilisateur non privilégié pour lui permettre de savoir quand son mot de passe ou son compte arrivera en fin de validité.

CONFIGURATION

Les variables de configuration suivantes dans /etc/login.defs modifient le comportement de cet outil :

FICHIERS

/etc/passwd
    Informations sur les comptes des utilisateurs.

/etc/shadow
    Informations sécurisées sur les comptes utilisateurs.

VALEURS DE RETOUR

La commande chage retourne les valeurs suivantes en quittant :

0
    succès

1
    permission refusée

2
    erreur de syntaxe

15
    impossible de trouver le fichier des mots de passe cachés

VOIR AUSSI

passwd(5), shadow(5).